Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(202)

Issue 2688013003: Mus Demo: Code cleanup in MusDemo::WindowTreeData (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
7 months, 1 week ago by fwang
Modified:
7 months, 1 week ago
Reviewers:
sky
CC:
chromium-reviews, rjkroege, kylechar
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Mus Demo: Code cleanup in MusDemo::WindowTreeData This CL performs the following cleanup: * The logging of the time past since the last frame drawing is removed. * The root_window_ and bitmap_window_ members are removed since they can be accessed from the window_tree_host_. Actually, only the bitmap window is now handled outside the initialization function and a helper function is added to retrieve it. * The destructor is removed since the cleanup is done when members are destroyed: The bitmap window is owned by its parent itself owned by WindowTreeData::window_tree_host_ and WindowTreeData::timer_ is stopped in base::Timer::~Timer(). * Add missing DISALLOW_COPY_AND_ASSIGN to WindowTreeData. * Use proper coordinates for the bitmap window operations. BUG=666958 R=sky@chromium.org Review-Url: https://codereview.chromium.org/2688013003 Cr-Commit-Position: refs/heads/master@{#450023} Committed: https://chromium.googlesource.com/chromium/src/+/01d9b79fa9fda1529d3c1d09ae1eb0f0d68140c7

Patch Set 1 #

Total comments: 10

Patch Set 2 : Address sky's review comments. #

Total comments: 1

Patch Set 3 : Final fix before landing. #

Messages

Total messages: 23 (16 generated)
fwang
PTAL
7 months, 1 week ago (2017-02-10 10:32:15 UTC) #3
sky
https://codereview.chromium.org/2688013003/diff/1/services/ui/demo/mus_demo.cc File services/ui/demo/mus_demo.cc (right): https://codereview.chromium.org/2688013003/diff/1/services/ui/demo/mus_demo.cc#newcode85 services/ui/demo/mus_demo.cc:85: aura::Window* BitmapWindow() { GetBitmapWindow(), or as this is inlined ...
7 months, 1 week ago (2017-02-10 18:48:38 UTC) #8
fwang
Thank you for the review. Comments addressed. https://codereview.chromium.org/2688013003/diff/1/services/ui/demo/mus_demo.cc File services/ui/demo/mus_demo.cc (right): https://codereview.chromium.org/2688013003/diff/1/services/ui/demo/mus_demo.cc#newcode85 services/ui/demo/mus_demo.cc:85: aura::Window* BitmapWindow() ...
7 months, 1 week ago (2017-02-11 09:58:48 UTC) #10
tonikitoo
On 2017/02/11 09:58:48, fwang wrote: > Thank you for the review. Comments addressed. > > ...
7 months, 1 week ago (2017-02-13 14:11:20 UTC) #15
sky
LGTM https://codereview.chromium.org/2688013003/diff/20001/services/ui/demo/mus_demo.cc File services/ui/demo/mus_demo.cc (right): https://codereview.chromium.org/2688013003/diff/20001/services/ui/demo/mus_demo.cc#newcode276 services/ui/demo/mus_demo.cc:276: gfx::Rect(bitmap_window()->bounds().size())); gfx::Rect(bounds.size());
7 months, 1 week ago (2017-02-13 17:59:31 UTC) #16
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2688013003/60001
7 months, 1 week ago (2017-02-13 18:13:26 UTC) #20
commit-bot: I haz the power
7 months, 1 week ago (2017-02-13 18:34:39 UTC) #23
Message was sent while issue was closed.
Committed patchset #3 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/01d9b79fa9fda1529d3c1d09ae1e...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b